<?php
	
	// php PHP/standings.php division=West league=NationalLeague

	error_reporting(E_ERROR);
	
	// get command line arguments
	foreach($_SERVER["argv"] as $argument) {
	
		if( !strpos($argument, "=") ) {
			continue;
		}
		
		$key = substr($argument, 0, strpos($argument, "="));
		$value = substr($argument, strpos($argument, "=")+1, strlen($argument));
		
		$args[$key] = $value;
	}
	
    // convert the league for the URL
	$urlLeague = '';
    
	switch( $args['league'] ) {
		case "AmericanLeague":		$urlLeague = 'AL';		break;
		case "NationalLeague":		$urlLeague = 'NL';		break;
	}
    
    // convert the division for the URL
    if( "Wild" == $args['division'] ) {
        $args['division'] = "Wild Card";
    }
    
    $urlDivision = str_ireplace(" ", "", $args['division']);
    
	// get the URL
	$url = 'http://sportstap.mobi/api/mlb/standingsjson.php?division=' . $urlLeague . $urlDivision;
	
	// get the JSON array
	$arrayString = file_get_contents($url);
	$array = json_decode($arrayString, true);
	
	// couldn't get the array
	if( !count($array) ) {
		
		echo '<span style="font-size:40px; text-transform:lowercase;">error</span>';
		echo '<br />';
		echo '<span style="font-size:12px;">there was a problem retrieving the standings from the internet.</span>';
	}
	
	// could get array
	else {

		// start the table
		echo '<table>';
		
		// output the header
		echo '<tr style="color:#CCCCCC;">';
			echo '<td style="width:100px;">' . $urlLeague . ' ' . $args['division'] . '</td>';
			echo '<td style="width:30px;">W</td>';
			echo '<td style="width:30px;">L</td>';
			echo '<td style="width:35px;">PCT</td>';
			echo '<td>GB</td>';
		echo '</tr>';
		
		// create a ranked array
		$rankedArray = array();
		
		// loop through each table row
		$rowCount = 0;
		
		foreach( $array as $team ) {
			
			// increment the row count
			$rowCount++;
			
			// wild card
			if( "Wild Card" == $args['division'] ) {
				$teamRank = $rowCount;
			}
			
			// division
			else {
				$teamRank = $team["division_rank"];
			}
			
			// save to the ranked array
			$rankedArray[ $teamRank ][] = $team;
		}
		
		// sort the ranked array
		ksort($rankedArray);
		
		// loop through the ranked array
		foreach( $rankedArray as $rank => $rankArray ) {
			foreach( $rankArray as $team ) {
				
				echo '<tr>';
					echo '<td>' .  $team['team']['location'] . '</td>';
					echo '<td>' . $team['wins'] . '</td>';
					echo '<td>' . $team['losses'] . '</td>';
					echo '<td>' . $team['winning_percentage'] . '</td>';
					
					echo '<td>';
						
						// wild card
						if( "Wild Card" == $args['division'] ) {
							echo $team['wc_games_back'];
						}
						
						// division
						else {
							echo $team['games_back'];
						}
						
						
					echo '</td>';			
				echo '<tr>';
			}
		}
		
		// end the table
		echo '</table>';
	}
	
?>